MantisBT

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007181MediaMonkey 5Framework: Taggingpublic2011-01-16 23:132017-06-06 18:46
Reporterpeke 
PriorityurgentSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0007181: Support for InitialKey (TKEY) Values in MM Library
DescriptionTKEY is used in most professional DJ apps like Tractor and it is one of few essential parts in DJ Mixing for selecting track.

Most common approach is Harmonics Mixing used by major DJs.

We could easily use it for Auto-DJ where mathematical algorithm can be used to get almost perfect continuous mix of tracks based on Similarity, Harmonics, BPM, Genre, ...

TAG Support:
ID3v2.3-2.4 = TKEY (3 Chars, but Serato and Traktor both support up to 7 characters for tracks that have two keys [start/end]) Format conversions are shown here http://community.beatmixing.com/eve/forums/a/tpc/f/495605445/m/170107263?r=128102093#128102093 [^] and http://djprince.no/table2.htm [^]
WMA = WM/InitialKey
MKA = INITIAL_KEY

TO-ADD:
Vorbis,APEv2 = INITIALKEY (read also KEY)
RIFF = TKEY
M4A = com.apple.iTunes:initialkey (read also com.apple.iTunes:KEY)

Most common app I had found is Mixed In Key which uses two ways to write TKEY:
1. Version 2.5 and 4.0: Using COMM ID3 field with descriptor ENG and two formats
 a) <TKEY>
 b) <TKEY> - <BPM> (BPM can be rounded or contain 2 decimal points)

2. Version 4: Beside 1. it also save TKEY and TBPM ID3 tags for better support

From what I tested most recognizable TKEY format is http://www.harmonic-mixing.com/Images/camelotHarmonicMixing.jpg [^] chart but when you try to find key manually on keyboards http://djprince.no/table2.htm [^] is more useful.

NOTES:
a) Some apps like tractor save TKEY in non standard 7 Char length using Camerlot Harmonics Values in format <KEY1>/<KEY2> where each one is 3 char long.

b) Unless TAG Format specify which one needs to be used. INI File Switch should be added to Force Writing format. TAG Read will recognize both as both formats are straight forward. Default would be Winamp values http://community.beatmixing.com/eve/forums/a/tpc/f/495605445/m/170107263?r=128102093#128102093 [^] and http://djprince.no/table2.htm [^]
Additional Informationhttp://www.mixedinkey.com/ [^]
http://www.mixshare.com/wiki/doku.php?id=harmonic_mixing [^]
http://www.mixshare.com/software.html [^] (Can Use http://www.xuggle.com/ [^]) Home Of Rapid Evolution APP.
http://www.harmonic-mixing.com/ [^] (http://www.harmonic-mixing.com/Images/camelotHarmonicMixing.jpg [^] , http://www.harmonic-mixing.com/ [^])
http://en.wikipedia.org/wiki/Harmonic_mixing [^]
http://www.track-finder.com/ [^]
http://djprince.no/table2.htm [^] (http://www.djprince.no/site/default.aspx [^])
http://www.djprince.no/site/DJ_Mix_Generator/ [^] (Used for testing)

http://www.mediamonkey.com/forum/viewtopic.php?f=1&t=64861&p=332886#p332885 [^]
http://www.mediamonkey.com/forum/viewtopic.php?f=4&t=9280&p=42929&hilit=TKEY#p42929 [^]
http://www.mediamonkey.com/forum/viewtopic.php?f=4&t=61300&p=315551&hilit=TKEY#p315551 [^]

http://community.beatmixing.com/eve/forums/a/tpc/f/495605445/m/170107263?r=128102093#128102093 [^]

http://www.id3.org/id3v2.3.0 [^]
http://www.id3.org/id3v2.4.0-frames [^]
http://help.mp3tag.de/main_tags.html [^]
http://age.hobba.nl/audio/tag_frame_reference.html [^]

Ticket: http://www.mediamonkey.com/support/staff/index.php?_m=tickets&_a=viewticket&ticketid=10411 [^]
http://www.mediamonkey.com/forum/viewtopic.php?t=9280 [^]
http://www.mediamonkey.com/forum/viewtopic.php?t=9191 [^]
TagsNo tags attached.
Fixed in build2066
Attached Filesjpg file icon HarmonicMixing.jpg [^] (233,640 bytes) 2017-02-23 05:10

- Relationships
related to 0007159closedjiri MediaMonkey (current) Comment Tag differs between MM and Windows 
related to 0014237closedLudek MediaMonkey 5 Auto Tag from Filename: Initial key Column missing 

-  Notes
(0024304)
peke (developer)
2011-04-13 19:27
edited on: 2014-01-01 20:45

Uploaded small example of end result when BPM and TKEY is used to calculate BPM+TKEY to make playlist.

I used http://www.djprince.no/site/DMG.aspx [^] for gathering TKEY Values Similarity along with files I had in My MM library.

(0035950)
peke (developer)
2013-05-06 20:55

Set for triage in 4.1.1

Latest topic:
http://www.mediamonkey.com/forum/viewtopic.php?f=19&t=71380 [^]
(0039075)
peke (developer)
2013-12-30 20:13

http://www.mediamonkey.com/forum/viewtopic.php?f=4&t=74927 [^]
(0039079)
peke (developer)
2014-01-01 20:47

I updated bad link from 0007181:0024304
(0040339)
peke (developer)
2014-07-10 14:37

Assigned to Jiri for inclusion in 5.0 as priority change for MMW 5 database.
(0047176)
rusty (administrator)
2017-02-03 12:33

http://www.ibrahimshaath.co.uk/keyfinder/ [^]
(0047183)
jiri (administrator)
2017-02-04 09:05

Looks like we could add it for 5.0, unless we find any significant difficulties with tagging standards.
(0047328)
peke (developer)
2017-02-23 05:12

Added harmonics mixing tables and translations of only two standards.

They should be String value NON Unicode and I have not seen value more than 7 Chars as explained in description for Serato and Tractor.
(0047339)
michal (developer)
2017-02-23 14:17

Fixed in build 2062.
(0047363)
michal (developer)
2017-02-25 05:03
edited on: 2017-02-25 05:04

Ludek please add support for filters and masks for this new field/column (SD.initialKey, named "Initial Key"), so it can be used e.g. in auto playlists, auto organize, etc.

(0048014)
Ludek (developer)
2017-05-23 11:31

Fixed in 2066
(0048073)
peke (developer)
2017-06-06 18:46

Verified 2066


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker